Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# bind.h File Reference

Binding adapters. More...

`#include <inti/slot.h>`

Go to the source code of this file.

## Namespaces

- namespace Inti

## Detailed Description

Binding adapters.

A binding adaptor is an object that allows you to convert between slot types. Usually you wont use a BoundSlot directly but instead call the bind() factory function (similiar to the slot() factory function) which will create an appropriate bound slot for you, depending on the parameters passed.
Main Page - Footer